<?php
/**
 * Add extra profile fields for users in admin
 *
 * @package  WooCommerce SEUR
 * @version  3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class Seur_Global {

	public function __construct() {
		$this->log = new WC_Logger();
	}

	public function get_ownsetting() {

		if ( is_multisite() ) {

			$optionvalue = get_option( 'ownsetting' );

			if ( ! empty( $optionvalue ) ) {
				return $option_value;
			} else {
				return false;
			}
		} else {
			return false;
		}
	}

	public function get_multisitesttings() {

		if ( is_multisite() ) {

			switch_to_blog( 1 );

			$$optionvalue = get_option( 'multisitesttings' );

			if ( ! empty( $optionvalue ) ) {
				restore_current_blog();
				return $option_value;
			} else {
				restore_current_blog();
				return false;
			}
		} else {
			restore_current_blog();
			return false;
		}
	}

	public function get_option( $option ) {

		if ( is_multisite() ) {
			if ( 'ownsetting' !== $option ) {
				if ( 'hideownsetting' === $option || 'multisitesttings' === $option ) {

					switch_to_blog( 1 );

					$option_value = get_option( $option );

					if ( ! empty( $option_value ) ) {
						return $option_value;
					} else {
						restore_current_blog();
						return false;
					}
				}
			}

			$multisitesttings = $this->get_multisitesttings();
			$ownsetting       = $this->get_ownsetting();

			if ( 'yes' !== $ownsetting && 'yes' === $multisitesttings ) {
				switch_to_blog( 1 );

				$option_value = get_option( $option );

				if ( ! empty( $option_value ) ) {
					restore_current_blog();
					return $option_value;
				} else {
					restore_current_blog();
					return false;
				}
			} else {
				$option_value = get_option( $option );

				if ( ! empty( $option_value ) ) {
					return $option_value;
				} else {
					return false;
				}
			}
		}

		$option_value = get_option( $option );

		if ( ! empty( $option_value ) ) {
			return $option_value;
		} else {
			return false;
		}
	}

	public function today() {
		return gmdate( 'Ymd' );
	}

	public function save_collection( $collectionref, $type ) {
		update_option( 'seur_save_collection_' . $type, $collectionref );
	}

	public function save_reference( $reference, $type ) {
		update_option( 'seur_save_reference_' . $type, $reference );
	}

	public function save_date_normal( $date ) {
		update_option( 'seur_save_date_normal', $date );
	}

	public function save_date_cold( $date ) {
		update_option( 'seur_save_date_cold', $date );
	}

	public function get_collection( $type ) {
		return get_option( 'seur_save_collection_' . $type );
	}

	public function get_reference( $type ) {
		return get_option( 'seur_save_reference_' . $type );
	}

	public function get_date_normal() {
		return get_option( 'seur_save_date_normal' );
	}

	public function get_date_cold() {
		return get_option( 'seur_save_date_cold' );
	}

	public function is_test() {
		$is_test = $this->get_option( 'seur_test_field' );
		if ( 1 === (int) $is_test ) {
			return true;
		} else {
			return false;
		}
	}

	public function get_api_addres() {
		if ( $this->is_test() ) {
			return SEUR_TEST_API_ADDRESS;
		} else {
			return SEUR_LIVE_API_ADDRESS;
		}
	}

	public function get_token() {
		return $this->get_option( 'seur_api_token' );
	}

	public function get_token_b() {
		$token = 'Bearer ' . $this->get_token();
		return $token;
	}

	public function log_is_acive() {
		$log = $this->get_option( 'seur_log_field' );
		if ( 1 === (int) $log ) {
			return true;
		} else {
			return false;
		}
	}
	public function slog( $text ) {
		$this->log->add( 'seur', $text );
	}

	public function merchant_adress() {
		$adress = $this->get_option( 'seur_vianombre_field' ) . ' ' . $this->get_option( 'seur_vianumero_field' ) . ', ' . $this->get_option( 'seur_escalera_field' ) . ' ' . $this->get_option( 'seur_piso_field' ) . ' ' . $this->get_option( 'seur_puerta_field' );
		return $adress;
	}

	public function merchant_name() {
		$name = $this->get_option( 'seur_contacto_nombre_field' ) . ' ' . $this->get_option( 'seur_contacto_apellidos_field' );
		return $name;
	}

	public function merchant_email() {
		$email = $this->get_option( 'seur_email_field' );
		return $email;
	}

	public function client_secret() {
		$client_secret = $this->get_option( 'seur_client_secret_field' );
		return $client_secret;
	}

	public function client_user_name() {
		$client_user_name = $this->get_option( 'seur_user_field' );
		return $client_user_name;
	}

	public function client_id() {
		$client_id = $this->get_option( 'seur_client_id_field' );
		return $client_id;
	}

	public function client_user_password() {
		$user_password = $this->get_option( 'seur_password_field' );
		return $user_password;
	}
	public function clean( $out ) {

		$out = str_replace( 'À', 'A', $out );
		$out = str_replace( 'Ä', 'A', $out );
		$out = str_replace( 'É', 'E', $out );
		$out = str_replace( 'È', 'E', $out );
		$out = str_replace( 'Ë', 'E', $out );
		$out = str_replace( 'Í', 'I', $out );
		$out = str_replace( 'Ì', 'I', $out );
		$out = str_replace( 'Ï', 'I', $out );
		$out = str_replace( 'Ó', 'O', $out );
		$out = str_replace( 'Ò', 'O', $out );
		$out = str_replace( 'Ö', 'O', $out );
		$out = str_replace( 'Ú', 'U', $out );
		$out = str_replace( 'Ù', 'U', $out );
		$out = str_replace( 'Ü', 'U', $out );
		$out = str_replace( 'á', 'a', $out );
		$out = str_replace( 'à', 'a', $out );
		$out = str_replace( 'ä', 'a', $out );
		$out = str_replace( 'é', 'e', $out );
		$out = str_replace( 'è', 'e', $out );
		$out = str_replace( 'ë', 'e', $out );
		$out = str_replace( 'í', 'i', $out );
		$out = str_replace( 'ì', 'i', $out );
		$out = str_replace( 'ï', 'i', $out );
		$out = str_replace( 'ó', 'o', $out );
		$out = str_replace( 'ò', 'o', $out );
		$out = str_replace( 'ö', 'o', $out );
		$out = str_replace( 'ú', 'u', $out );
		$out = str_replace( 'ù', 'u', $out );
		$out = str_replace( 'ü', 'u', $out );
		$out = str_replace( '&', '-', $out );
		$out = str_replace( '<', ' ', $out );
		$out = str_replace( '>', ' ', $out );
		$out = str_replace( '/', ' ', $out );
		$out = str_replace( '"', ' ', $out );
		$out = str_replace( "'", ' ', $out );
		$out = str_replace( '"', ' ', $out );
		$out = str_replace( '?', ' ', $out );
		$out = str_replace( '¿', ' ', $out );

		return $out;
	}
	public function seur_date( $date ) {

		// in 09-22-2021
		// out 2021-09-22-12:00:00.00

		$date_2     = (string) str_replace( '/', '-', $date );
		$year       = (string) substr( $date_2, -4 );
		$month      = (string) substr( $date_2, -10, 2 );
		$day        = (string) substr( $date_2, -7, 2 );
		$final_date = (string) $year . '-' . $month . '-' . $day . '-12:00:00.000';

		if ( seur()->log_is_acive() ) {
			seur()->slog( '$date_2: ' . $date_2 );
			seur()->slog( '$month: ' . $month );
			seur()->slog( '$day: ' . $day );
			seur()->slog( '$year: ' . $year );
			seur()->slog( '$final_date: ' . $final_date );
		}
		return $final_date;
	}
}

function seur() {
	return new Seur_Global();
}
